Wind River Support Network

HomeDefectsLIN5-23435
Fixed

LIN5-23435 : Security Advisory - shadow - CVE-2017-12424

Created: Aug 11, 2017    Updated: May 29, 2018
Resolved Date: Oct 15, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.42
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

In shadow before 4.5, the newusers tool could be made to manipulate internal data structures in ways unintended by the authors. Malformed input may lead to crashes (with a buffer overflow or other memory corruption) or other unspecified behaviors. This crosses a privilege boundary in, for example, certain web-hosting environments in which a Control Panel allows an unprivileged user account to create subaccounts.

https://nvd.nist.gov/vuln/detail/CVE-2017-12424

Other Downloads


Live chat
Online